Bug 324349 - Removing tags limited to 250 selected pictures
Summary: Removing tags limited to 250 selected pictures
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 3.3.0
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-01 11:08 UTC by Slobodan Simic
Modified: 2013-09-03 20:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Slobodan Simic 2013-09-01 11:08:26 UTC
Option to remove tag is grayed out if you select more than 250 pictures while when assigning tags you can do it to entire collection. So if you assign some tag to a pictures by mistake, when you removing it you need to select 250 by 250...
It's a bit annoying when you have few thousands of photos.
Comment 1 caulier.gilles 2013-09-01 11:55:24 UTC
Veaceslav,

Can you confirm this problem through your Tags Manager ?

Gilles Caulier
Comment 2 Veaceslav Munteanu 2013-09-02 09:47:58 UTC
I will check it on my desktop computer, with my laptop, I don't have a enough big collection :)
Comment 3 Veaceslav Munteanu 2013-09-02 10:15:44 UTC
Here is the relevant piece of code & comment about performace:

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/master/entry/digikam/utils/contextmenuhelper.cpp#L500

it's limited to 250 indeed :)
Comment 4 caulier.gilles 2013-09-02 10:22:14 UTC
Right.

As it's a limitation in context menu option, this behavior can be/must be different in Tags Manager.

Also, this limitation must show a message-box warnings...

Gilles Caulier
Comment 5 Veaceslav Munteanu 2013-09-02 14:59:24 UTC
Tags Manager is a little bit different:

It should be like Delete Selected Tag from Images

But here is Select images and remove Tag.
Comment 6 Marcel Wiesweg 2013-09-03 20:09:40 UTC
Git commit c2ba1fa1d43c04e9e7b72dd43a32d4c645ab0d5d by Marcel Wiesweg.
Committed on 03/09/2013 at 20:04.
Pushed by mwiesweg into branch 'master'.

I believe this performance check ended with the wrong result of cutting
the feature instead of cutting "intelligent" checks.
If >250 images are selected, do not check if they have tags - that may be costly - but simply
leave the action enabled.

M  +2    -2    digikam/utils/contextmenuhelper.cpp

http://commits.kde.org/digikam/c2ba1fa1d43c04e9e7b72dd43a32d4c645ab0d5d